<template>
    <div class="col-md-8 pokemons-col">
        <div class="card card-custom">
            <ul class="nav nav-pills mb-4" id="poke-tabs" role="tablist">
                <li class="nav-item" role="presentation">
                    <button class="nav-link active" id="pills-pokemons-tab" data-bs-toggle="pill"
                        data-bs-target="#pills-pokemons" type="button" role="tab" aria-controls="pills-pokemons"
                        aria-selected="true">Pokemons</button>
                </li>
                <li class="nav-item" role="presentation">
                    <button class="nav-link" id="pills-community-tab" data-bs-toggle="pill"
                        data-bs-target="#pills-community" type="button" role="tab" aria-controls="pills-community"
                        aria-selected="false">Community</button>
                </li>
            </ul>
            <div class="tab-content" id="poke-TabsContent">
                <PokemonTab 
                    @pokemon-tab-liked = "likePokemon"
                    @pokemon-tab-disliked = "dislikePokemon"
                />
                <CommunityTab :token="token"/>
            </div>
        </div>
    </div>
</template>

<script>
import PokemonTab from "./PokemonTab"
import CommunityTab from "./CommunityTab"

export default {
    name: "TabSection",
    props: {
        token: String,
    },
    components: {
        PokemonTab,
        CommunityTab
    },
    methods: {
        likePokemon(cardData) {
            this.$emit('tab-section-liked', cardData)
        },
        dislikePokemon(cardData) {
            this.$emit('tab-section-disliked', cardData)
        }
    },

    emitted: [
        "tab-section-liked",
        "tab-section-disliked",
    ]

}
</script>